Stumbling block on updating devel/doxygen

Chris Rees utisoft at gmail.com
Sun Dec 30 10:35:55 UTC 2012


On 30 Dec 2012 10:13, "Thomas Mueller" <mueller23 at insightbb.com> wrote:
>
> > As the maintainer of devel/doxygen, I am trying to update the port to
1.8.3.
> > But I am running into an error upon it trying to create it's docs.  This
> > appears to be due to the version of latex we use from teTeX being too
old.
>
> > The problem is that it is failing on creating a .dvi version of the
manual
> > in order to create a .ps version of it.  The creation of the .pdf
version of
> > the manual appears to be fine, but the creation of the other two
appears to
> > be specific to the FreeBSD port, and was being done prior to my taking
over
> > the port.
>
> > What I need to know is if there is actually a demand for the .dvi/.ps
> > versions of the doxygen manual.  I have been receiving some help from
> > doxygen's developer, but considering that this problem isn't in an
> > unmodified version of doxygen, I would prefer to stop supplying the
.dvi/.ps
> > files.
>
> > Thanks,
> > Naram Qashat
>
> I think most modern printers handle .pdf files, and a package/port like
xpdf
> can read .pdf files without printing.  I don't see .dvi/.ps files as
useful,
> more of a nuisance, but maybe some people have use for .dvi files with
various
> versions of TeX?

Unless someone comes up with a good reason, I would leave them out.

Anyone who is desperate for those files should have the skills to make them
themselves.

Chris


More information about the freebsd-ports mailing list